<?php

namespace App\Repository;

use PDO;
use PDOException;

/**
 * Created by PhpStorm.
 * User: artem
 * Date: 20.05.17
 * Time: 23:51
 */
abstract class RepositoryAbstract
{
    protected $pdo;
    protected $entityName;
    protected $db1;
    protected $db2;

    public function __construct()
    {
        require_once('../config/DBconnect.php');

        $config = Singleton::getInstance();
        $this->pdo = $config->pdo;
        $this->db1 = 'student';
        $this->db2 = 'languages';
    }

    public abstract function findById($id);
}