<?php

require_once('../view/template/header.php');
?>

    <a href="index.php?action=create-languages" class="btn btn-info">Новый язык</a>
    <table class="table table-striped">
        <thead>
        <tr>
            <th>Язык программирования</th>
            <th>Студенты</th>
            <th>Действия</th>
        </tr>
        </thead>
        <tbody>
        <?php foreach ($languages as $language) { ?>
            <tr>
                <td><?= htmlspecialchars($languages->name) ?></td>
                <td><?= htmlspecialchars($languages->getStudentsName()) ?></td>

                <td>
                    <a href="index.php?action=view-languages&id=<?= $languages->id ?>" class="btn btn-primary">
                        <i class="glyphicon glyphicon-eye-open"></i>
                    </a>
                    <a href="index.php?action=update-languages&id=<?= $languages->id ?>" class="btn btn-warning">
                        <i class="glyphicon glyphicon-pencil"></i>
                    </a>
                    <a href="index.php?action=delete-languages&id=<?= $languages->id ?>" class="btn btn-danger">
                        <i class="glyphicon glyphicon-trash"></i>
                    </a>
                </td>
            </tr>
        <?php } ?>
        </tbody>
    </table>
<?php
require_once('../view/template/footer.php');
